SIGBLOCK(2)

NAME
sigblock, siggetmask, sigsetmask, sigmask - manipulate the signal mask

SYNOPSIS
#include <signal.h>

int sigblock(int mask);

int siggetmask(void);

int sigsetmask(int mask);

int sigmask(int signum);

DESCRIPTION
This interface is made obsolete by sigprocmask(2). The sigblock system call adds the signals specified in mask to the set of signals currently being blocked from delivery.

The sigsetmask system call replaces the set of blocked signals totally with a new set specified in mask. Signals are blocked if the corresponding bit in mask is a 1.

The current set of blocked signals can be obtained using siggetmask.

The sigmask macro is provided to construct the mask for a given signum.

RETURN VALUES
siggetmask returns the current set of masked signals. sigsetmask and sigblock return the previous set of masked signals.

NOTES
Prototypes for these functions are only available if __USE_BSD is defined before <signal.h> is included.

It is not possible to block SIGKILL or SIGSTOP - this restriction is silently imposed by the system.

CONFORMING TO
4.4BSD. These function calls appeared in BSD 4.3 and are deprecated. Use the POSIX signal facilities for new programs.

SEE ALSO
kill(2), sigprocmask(2), signal(7)